## VC4 VC4 — VC4 support library |

## Functions

uint32_t | igt_vc4_get_cleared_bo ()
int | igt_vc4_create_bo ()
void * | igt_vc4_mmap_bo ()
void | igt_vc4_set_tiling ()
uint64_t | igt_vc4_get_tiling ()

## Includes

    #include <igt.h>

## Description

This library provides various auxiliary helper functions for writing VC4 tests.

## Functions

### igt_vc4_get_cleared_bo ()

    uint32_t
    igt_vc4_get_cleared_bo (int fd,
                            size_t size,
                            uint32_t clearval);

This helper returns a new BO with the given size, which has just been cleared using the render engine.

#### Parameters

fd | device file descriptor |
size | size of the BO in bytes |
clearval | u32 value that the buffer should be completely cleared with |

### igt_vc4_create_bo ()

    int
    igt_vc4_create_bo (int fd,
                       size_t size);

### igt_vc4_mmap_bo ()

    void *
    igt_vc4_mmap_bo (int fd,
                     uint32_t handle,
                     uint32_t size,
                     unsigned  prot);

### igt_vc4_set_tiling ()

    void
    igt_vc4_set_tiling (int fd,
                        uint32_t handle,
                        uint64_t modifier);

### igt_vc4_get_tiling ()

    uint64_t
    igt_vc4_get_tiling (int fd,
                        uint32_t handle);

## Types and Values